> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runonatlas.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subscription by ID with expanded data

> Get a subscription by ID with expanded plan data including prices and billables.



## OpenAPI

````yaml https://platform.runonatlas.com/external/schema get /external/subscriptions/{id}/expanded
openapi: 3.0.0
info:
  title: Atlas API
  version: 1.0.0
servers:
  - url: https://platform.runonatlas.com
security: []
paths:
  /external/subscriptions/{id}/expanded:
    get:
      tags:
        - Subscriptions
      summary: Get subscription by ID with expanded data
      description: >-
        Get a subscription by ID with expanded plan data including prices and
        billables.
      parameters:
        - schema:
            type: string
            minLength: 1
            description: The Atlas subscription ID
            example: atlas-internal-subscription-id-123
          required: true
          description: The Atlas subscription ID
          name: id
          in: path
      responses:
        '200':
          description: >-
            The subscription that has been retrieved with expanded plan data
            including prices and billables.
          content:
            application/json:
              schema:
                type: object
                properties:
                  billingCadence:
                    type: string
                    nullable: true
                    enum:
                      - oneTime
                      - monthly
                      - quarterly
                      - annually
                    description: The billing cadence for this subscription
                    example: monthly
                  createdAt:
                    type: string
                    format: date
                    description: The date and time the subscription was created
                    example: '2021-01-01T00:00:00.000Z'
                  currency:
                    type: string
                    nullable: true
                    enum:
                      - USD
                    description: The currency for this subscription
                    example: USD
                  endDate:
                    anyOf:
                      - type: string
                        format: date
                      - type: string
                        format: date-time
                      - nullable: true
                    description: The end date of the subscription
                    example: '2021-12-31T00:00:00.000Z'
                  id:
                    type: string
                    minLength: 1
                    description: The Atlas subscription ID
                    example: atlas-internal-subscription-id-123
                  netTerms:
                    type: string
                    nullable: true
                    enum:
                      - uponReceipt
                      - net30
                      - net60
                      - net90
                    description: >-
                      The net terms for this subscription; applies only if
                      autoChargeInvoice is false. Determines the number of days
                      after the invoice is issued before the payment is due.
                    example: net30
                  startDate:
                    anyOf:
                      - type: string
                        format: date
                      - type: string
                        format: date-time
                    description: The start date of the subscription
                    example: '2021-01-01T00:00:00.000Z'
                  status:
                    type: string
                    enum:
                      - draft
                      - pendingActivation
                      - active
                      - ended
                      - deleted
                    description: The status of the subscription
                    example: active
                  updatedAt:
                    type: string
                    format: date
                    description: The date and time the subscription was last updated
                    example: '2021-01-01T00:00:00.000Z'
                  allowCustomerChanges:
                    type: boolean
                    description: >-
                      Whether the customer can change the subscription, for
                      example by cancelling it or creating another.
                    example: true
                  autoChargeInvoice:
                    type: boolean
                    description: >-
                      Whether to automatically charge invoices for this
                      subscription to the associated payment gateway. Requires a
                      valid Stripe connection. Only compatible with a Stripe
                      payment gateway.
                    example: false
                  autoSyncInvoice:
                    type: boolean
                    description: >-
                      Whether to automatically sync invoices for this
                      subscription to the associated payment gateway.
                    example: true
                  autoSendInvoice:
                    type: boolean
                    description: >-
                      Whether to automatically send invoices for this
                      subscription from the associated payment gateway to the
                      customers email address.
                    example: true
                  paymentGateway:
                    type: string
                    nullable: true
                    enum:
                      - Stripe
                      - QuickBooks
                      - Xero
                    description: The selected payment gateway for this subscription
                    example: Stripe
                  isTrial:
                    type: boolean
                    description: Whether this subscription is a trial subscription
                    example: false
                  chargeForUsageBasedPricesDuringTrial:
                    type: boolean
                    nullable: true
                    description: >-
                      Whether to charge for usage-based prices during the trial
                      period. Only applies if isTrial is true.
                    example: false
                  customerId:
                    type: string
                    minLength: 1
                    description: The Atlas customer ID
                    example: atlas-internal-customer-id-123
                  planId:
                    type: string
                    minLength: 1
                    description: The Atlas plan ID
                    example: atlas-internal-plan-id-123
                  merchantId:
                    type: string
                    minLength: 1
                    description: The Atlas merchant ID
                    example: atlas-internal-merchant-id-123
                  plan:
                    type: object
                    properties:
                      createdAt:
                        type: string
                        format: date
                        description: The date and time the plan was created
                        example: '2021-01-01T00:00:00.000Z'
                      crossEnvironmentId:
                        type: string
                        minLength: 1
                        description: The cross environment ID of the plan
                        example: plan-cross-env-id-123
                      currency:
                        type: string
                        enum:
                          - USD
                        description: The currency for this plan
                        example: USD
                      description:
                        type: string
                        minLength: 1
                        description: The description of the plan
                        example: A great plan for your needs
                      externalId:
                        type: string
                        nullable: true
                        minLength: 1
                        description: >-
                          The external ID of the plan (e.g. the plan ID in your
                          system)
                        example: external-plan-id-123
                      id:
                        type: string
                        minLength: 1
                        description: The Atlas plan ID
                        example: atlas-internal-plan-id-123
                      isPrivate:
                        type: boolean
                        description: Whether the plan is private
                        example: false
                      name:
                        type: string
                        minLength: 1
                        description: The name of the plan
                        example: Pro
                      netTerms:
                        type: string
                        enum:
                          - uponReceipt
                          - net30
                          - net60
                          - net90
                        description: The net terms for this plan
                        example: net30
                      purchasable:
                        type: boolean
                        description: Whether the plan is purchasable
                        example: true
                      requestPricingText:
                        type: string
                        minLength: 0
                        default: Request pricing
                        description: >-
                          The text to display when requesting pricing for
                          non-purchasable plans
                        example: Contact us for pricing
                      requestPricingUrl:
                        type: string
                        minLength: 0
                        description: >-
                          The URL to redirect to when requesting pricing for
                          non-purchasable plans
                        example: https://example.com/request-pricing
                      status:
                        type: string
                        enum:
                          - available
                          - draft
                          - archived
                          - deleted
                        description: The status of the plan
                        example: available
                      updatedAt:
                        type: string
                        format: date
                        description: The date and time the plan was last updated
                        example: '2021-01-01T00:00:00.000Z'
                      basePlanPriceId:
                        type: string
                        nullable: true
                        minLength: 1
                        description: The ID of the monthly base plan price
                        example: atlas-internal-price-id-123
                      basePlanPriceQuarterlyId:
                        type: string
                        nullable: true
                        minLength: 1
                        description: The ID of the quarterly base plan price
                        example: atlas-internal-price-id-123
                      basePlanPriceAnnuallyId:
                        type: string
                        nullable: true
                        minLength: 1
                        description: The ID of the annual base plan price
                        example: atlas-internal-price-id-123
                      basePlanPriceMonthlyStatus:
                        type: string
                        nullable: true
                        enum:
                          - active
                          - archived
                        description: The status of the monthly base plan price
                        example: active
                      basePlanPriceQuarterlyStatus:
                        type: string
                        nullable: true
                        enum:
                          - active
                          - archived
                        description: The status of the quarterly base plan price
                        example: active
                      basePlanPriceAnnuallyStatus:
                        type: string
                        nullable: true
                        enum:
                          - active
                          - archived
                        description: The status of the annual base plan price
                        example: active
                      merchantId:
                        type: string
                        minLength: 1
                        description: The Atlas merchant ID
                        example: atlas-internal-merchant-id-123
                      prices:
                        type: array
                        items:
                          type: object
                          properties:
                            price:
                              type: object
                              properties:
                                billingCadence:
                                  type: string
                                  enum:
                                    - oneTime
                                    - monthly
                                    - quarterly
                                    - annually
                                  description: The billing cadence for this price
                                  example: monthly
                                billingMode:
                                  type: string
                                  enum:
                                    - advance
                                    - arrears
                                    - realTime
                                  description: The billing mode for this price
                                  example: advance
                                blockOverage:
                                  type: boolean
                                  default: false
                                  description: >-
                                    Whether to block overage for this price;
                                    applies only to real-time credit-based
                                    features
                                  example: false
                                createdAt:
                                  type: string
                                  format: date
                                  description: The date and time the price was created
                                  example: '2021-01-01T00:00:00.000Z'
                                entityType:
                                  type: string
                                  enum:
                                    - entitlement
                                    - metric
                                  description: The entity type for this price
                                  example: entitlement
                                id:
                                  type: string
                                  minLength: 1
                                  description: The Atlas price ID
                                  example: atlas-internal-price-id-123
                                limit:
                                  type: integer
                                  nullable: true
                                  minimum: 0
                                  description: >-
                                    The limit for this price; applies only to
                                    limit-based features
                                  example: 100
                                maxUsage:
                                  type: integer
                                  nullable: true
                                  minimum: 0
                                  description: >-
                                    The maximum usage for this price; applies
                                    only to usage-based features
                                  example: 1000
                                name:
                                  type: string
                                  minLength: 1
                                  description: >-
                                    The name of the price. Inherited from the
                                    feature that this price is for.
                                  example: Pro Price
                                priceType:
                                  type: string
                                  enum:
                                    - bulk
                                    - matrix
                                    - none
                                    - package
                                    - tier
                                    - unit
                                    - fixed
                                  description: The price type for this price
                                  example: unit
                                rules:
                                  type: object
                                  properties: {}
                                  additionalProperties:
                                    nullable: true
                                  description: The pricing rules for this price
                                  example:
                                    quantity: 1
                                    price: 10
                                status:
                                  type: string
                                  enum:
                                    - active
                                    - deleted
                                  description: The status of the price
                                  example: active
                                usesCustomPricingUnit:
                                  type: boolean
                                  default: false
                                  description: >-
                                    Whether this price uses a custom pricing
                                    unit
                                  example: false
                                billableId:
                                  type: string
                                  minLength: 1
                                  description: The Atlas billable ID
                                  example: atlas-internal-billable-id-123
                                customPricingUnitId:
                                  type: string
                                  nullable: true
                                  minLength: 1
                                  description: The Atlas custom pricing unit ID
                                  example: atlas-internal-custom-pricing-unit-id-123
                                merchantId:
                                  type: string
                                  minLength: 1
                                  description: The Atlas merchant ID
                                  example: atlas-internal-merchant-id-123
                                billable:
                                  type: object
                                  properties:
                                    billableType:
                                      type: string
                                      enum:
                                        - entitlement
                                        - metric
                                      deprecated: true
                                    createdAt:
                                      type: string
                                      description: The billable creation date
                                      example: '2022-01-01T00:00:00.000Z'
                                    updatedAt:
                                      type: string
                                      description: The billable update date
                                      example: '2022-01-01T00:00:00.000Z'
                                    description:
                                      type: string
                                      description: The billable description
                                      example: Access our beautiful API
                                    eventQueryRules:
                                      type: object
                                      additionalProperties:
                                        nullable: true
                                      description: The event query rules
                                      example:
                                        conditions:
                                          - - key: eventName
                                              rule: matches
                                              value: api-usage
                                        calculation: sum
                                        overProperty: data.quantity
                                    externalFlagId:
                                      type: string
                                      deprecated: true
                                    id:
                                      type: string
                                      description: The billable ID
                                      example: '123'
                                    includedLabel:
                                      type: string
                                      description: >-
                                        On pricing components, this label will
                                        be shown to display that this billable
                                        is included
                                      example: Included
                                    singleUnitLabel:
                                      type: string
                                      description: >-
                                        On pricing components, this label will
                                        be shown for a single unit
                                      example: API call
                                    multipleUnitLabel:
                                      type: string
                                      description: >-
                                        On pricing components, this label will
                                        be shown for multiple units
                                      example: API calls
                                    name:
                                      type: string
                                      description: The billable name
                                      example: API Access
                                    isPrivate:
                                      type: boolean
                                      default: false
                                      description: >-
                                        Whether the billable is private. It will
                                        never be shown on the pricing model or
                                        pricing pages
                                      example: false
                                    showOnInvoice:
                                      type: boolean
                                      default: true
                                      description: >-
                                        Whether the billable should be shown on
                                        the invoice
                                      example: true
                                    slug:
                                      type: string
                                      description: >-
                                        Used to identify this billable in your
                                        systems
                                      example: api-access
                                    status:
                                      type: string
                                      enum:
                                        - available
                                        - draft
                                        - archived
                                        - deleted
                                      description: The billable status
                                      example: available
                                    hidden:
                                      type: boolean
                                      default: false
                                      description: Whether the billable is hidden
                                      example: false
                                    displayOrder:
                                      type: integer
                                      nullable: true
                                      description: The display order for sorting billables
                                      example: 0
                                  required:
                                    - createdAt
                                    - updatedAt
                                    - description
                                    - eventQueryRules
                                    - id
                                    - name
                                    - status
                                  additionalProperties: false
                              required:
                                - billingCadence
                                - billingMode
                                - blockOverage
                                - createdAt
                                - entityType
                                - id
                                - name
                                - priceType
                                - rules
                                - status
                                - usesCustomPricingUnit
                                - billableId
                                - merchantId
                                - billable
                          required:
                            - price
                        description: The prices associated with the plan
                      basePlanPrice:
                        type: object
                        nullable: true
                        properties:
                          billingCadence:
                            type: string
                            enum:
                              - oneTime
                              - monthly
                              - quarterly
                              - annually
                            description: The billing cadence for this price
                            example: monthly
                          billingMode:
                            type: string
                            enum:
                              - advance
                              - arrears
                              - realTime
                            description: The billing mode for this price
                            example: advance
                          blockOverage:
                            type: boolean
                            default: false
                            description: >-
                              Whether to block overage for this price; applies
                              only to real-time credit-based features
                            example: false
                          createdAt:
                            type: string
                            format: date
                            description: The date and time the price was created
                            example: '2021-01-01T00:00:00.000Z'
                          entityType:
                            type: string
                            enum:
                              - entitlement
                              - metric
                            description: The entity type for this price
                            example: entitlement
                          id:
                            type: string
                            minLength: 1
                            description: The Atlas price ID
                            example: atlas-internal-price-id-123
                          limit:
                            type: integer
                            nullable: true
                            minimum: 0
                            description: >-
                              The limit for this price; applies only to
                              limit-based features
                            example: 100
                          maxUsage:
                            type: integer
                            nullable: true
                            minimum: 0
                            description: >-
                              The maximum usage for this price; applies only to
                              usage-based features
                            example: 1000
                          name:
                            type: string
                            minLength: 1
                            description: >-
                              The name of the price. Inherited from the feature
                              that this price is for.
                            example: Pro Price
                          priceType:
                            type: string
                            enum:
                              - bulk
                              - matrix
                              - none
                              - package
                              - tier
                              - unit
                              - fixed
                            description: The price type for this price
                            example: unit
                          rules:
                            type: object
                            properties: {}
                            additionalProperties:
                              nullable: true
                            description: The pricing rules for this price
                            example:
                              quantity: 1
                              price: 10
                          status:
                            type: string
                            enum:
                              - active
                              - deleted
                            description: The status of the price
                            example: active
                          usesCustomPricingUnit:
                            type: boolean
                            default: false
                            description: Whether this price uses a custom pricing unit
                            example: false
                          billableId:
                            type: string
                            minLength: 1
                            description: The Atlas billable ID
                            example: atlas-internal-billable-id-123
                          customPricingUnitId:
                            type: string
                            nullable: true
                            minLength: 1
                            description: The Atlas custom pricing unit ID
                            example: atlas-internal-custom-pricing-unit-id-123
                          merchantId:
                            type: string
                            minLength: 1
                            description: The Atlas merchant ID
                            example: atlas-internal-merchant-id-123
                          billable:
                            type: object
                            properties:
                              billableType:
                                type: string
                                enum:
                                  - entitlement
                                  - metric
                                deprecated: true
                              createdAt:
                                type: string
                                description: The billable creation date
                                example: '2022-01-01T00:00:00.000Z'
                              updatedAt:
                                type: string
                                description: The billable update date
                                example: '2022-01-01T00:00:00.000Z'
                              description:
                                type: string
                                description: The billable description
                                example: Access our beautiful API
                              eventQueryRules:
                                type: object
                                additionalProperties:
                                  nullable: true
                                description: The event query rules
                                example:
                                  conditions:
                                    - - key: eventName
                                        rule: matches
                                        value: api-usage
                                  calculation: sum
                                  overProperty: data.quantity
                              externalFlagId:
                                type: string
                                deprecated: true
                              id:
                                type: string
                                description: The billable ID
                                example: '123'
                              includedLabel:
                                type: string
                                description: >-
                                  On pricing components, this label will be
                                  shown to display that this billable is
                                  included
                                example: Included
                              singleUnitLabel:
                                type: string
                                description: >-
                                  On pricing components, this label will be
                                  shown for a single unit
                                example: API call
                              multipleUnitLabel:
                                type: string
                                description: >-
                                  On pricing components, this label will be
                                  shown for multiple units
                                example: API calls
                              name:
                                type: string
                                description: The billable name
                                example: API Access
                              isPrivate:
                                type: boolean
                                default: false
                                description: >-
                                  Whether the billable is private. It will never
                                  be shown on the pricing model or pricing pages
                                example: false
                              showOnInvoice:
                                type: boolean
                                default: true
                                description: >-
                                  Whether the billable should be shown on the
                                  invoice
                                example: true
                              slug:
                                type: string
                                description: Used to identify this billable in your systems
                                example: api-access
                              status:
                                type: string
                                enum:
                                  - available
                                  - draft
                                  - archived
                                  - deleted
                                description: The billable status
                                example: available
                              hidden:
                                type: boolean
                                default: false
                                description: Whether the billable is hidden
                                example: false
                              displayOrder:
                                type: integer
                                nullable: true
                                description: The display order for sorting billables
                                example: 0
                            required:
                              - createdAt
                              - updatedAt
                              - description
                              - eventQueryRules
                              - id
                              - name
                              - status
                            additionalProperties: false
                        required:
                          - billingCadence
                          - billingMode
                          - blockOverage
                          - createdAt
                          - entityType
                          - id
                          - name
                          - priceType
                          - rules
                          - status
                          - usesCustomPricingUnit
                          - billableId
                          - merchantId
                          - billable
                        description: The monthly base plan price
                      basePlanPriceQuarterly:
                        type: object
                        nullable: true
                        properties:
                          billingCadence:
                            type: string
                            enum:
                              - oneTime
                              - monthly
                              - quarterly
                              - annually
                            description: The billing cadence for this price
                            example: monthly
                          billingMode:
                            type: string
                            enum:
                              - advance
                              - arrears
                              - realTime
                            description: The billing mode for this price
                            example: advance
                          blockOverage:
                            type: boolean
                            default: false
                            description: >-
                              Whether to block overage for this price; applies
                              only to real-time credit-based features
                            example: false
                          createdAt:
                            type: string
                            format: date
                            description: The date and time the price was created
                            example: '2021-01-01T00:00:00.000Z'
                          entityType:
                            type: string
                            enum:
                              - entitlement
                              - metric
                            description: The entity type for this price
                            example: entitlement
                          id:
                            type: string
                            minLength: 1
                            description: The Atlas price ID
                            example: atlas-internal-price-id-123
                          limit:
                            type: integer
                            nullable: true
                            minimum: 0
                            description: >-
                              The limit for this price; applies only to
                              limit-based features
                            example: 100
                          maxUsage:
                            type: integer
                            nullable: true
                            minimum: 0
                            description: >-
                              The maximum usage for this price; applies only to
                              usage-based features
                            example: 1000
                          name:
                            type: string
                            minLength: 1
                            description: >-
                              The name of the price. Inherited from the feature
                              that this price is for.
                            example: Pro Price
                          priceType:
                            type: string
                            enum:
                              - bulk
                              - matrix
                              - none
                              - package
                              - tier
                              - unit
                              - fixed
                            description: The price type for this price
                            example: unit
                          rules:
                            type: object
                            properties: {}
                            additionalProperties:
                              nullable: true
                            description: The pricing rules for this price
                            example:
                              quantity: 1
                              price: 10
                          status:
                            type: string
                            enum:
                              - active
                              - deleted
                            description: The status of the price
                            example: active
                          usesCustomPricingUnit:
                            type: boolean
                            default: false
                            description: Whether this price uses a custom pricing unit
                            example: false
                          billableId:
                            type: string
                            minLength: 1
                            description: The Atlas billable ID
                            example: atlas-internal-billable-id-123
                          customPricingUnitId:
                            type: string
                            nullable: true
                            minLength: 1
                            description: The Atlas custom pricing unit ID
                            example: atlas-internal-custom-pricing-unit-id-123
                          merchantId:
                            type: string
                            minLength: 1
                            description: The Atlas merchant ID
                            example: atlas-internal-merchant-id-123
                          billable:
                            type: object
                            properties:
                              billableType:
                                type: string
                                enum:
                                  - entitlement
                                  - metric
                                deprecated: true
                              createdAt:
                                type: string
                                description: The billable creation date
                                example: '2022-01-01T00:00:00.000Z'
                              updatedAt:
                                type: string
                                description: The billable update date
                                example: '2022-01-01T00:00:00.000Z'
                              description:
                                type: string
                                description: The billable description
                                example: Access our beautiful API
                              eventQueryRules:
                                type: object
                                additionalProperties:
                                  nullable: true
                                description: The event query rules
                                example:
                                  conditions:
                                    - - key: eventName
                                        rule: matches
                                        value: api-usage
                                  calculation: sum
                                  overProperty: data.quantity
                              externalFlagId:
                                type: string
                                deprecated: true
                              id:
                                type: string
                                description: The billable ID
                                example: '123'
                              includedLabel:
                                type: string
                                description: >-
                                  On pricing components, this label will be
                                  shown to display that this billable is
                                  included
                                example: Included
                              singleUnitLabel:
                                type: string
                                description: >-
                                  On pricing components, this label will be
                                  shown for a single unit
                                example: API call
                              multipleUnitLabel:
                                type: string
                                description: >-
                                  On pricing components, this label will be
                                  shown for multiple units
                                example: API calls
                              name:
                                type: string
                                description: The billable name
                                example: API Access
                              isPrivate:
                                type: boolean
                                default: false
                                description: >-
                                  Whether the billable is private. It will never
                                  be shown on the pricing model or pricing pages
                                example: false
                              showOnInvoice:
                                type: boolean
                                default: true
                                description: >-
                                  Whether the billable should be shown on the
                                  invoice
                                example: true
                              slug:
                                type: string
                                description: Used to identify this billable in your systems
                                example: api-access
                              status:
                                type: string
                                enum:
                                  - available
                                  - draft
                                  - archived
                                  - deleted
                                description: The billable status
                                example: available
                              hidden:
                                type: boolean
                                default: false
                                description: Whether the billable is hidden
                                example: false
                              displayOrder:
                                type: integer
                                nullable: true
                                description: The display order for sorting billables
                                example: 0
                            required:
                              - createdAt
                              - updatedAt
                              - description
                              - eventQueryRules
                              - id
                              - name
                              - status
                            additionalProperties: false
                        required:
                          - billingCadence
                          - billingMode
                          - blockOverage
                          - createdAt
                          - entityType
                          - id
                          - name
                          - priceType
                          - rules
                          - status
                          - usesCustomPricingUnit
                          - billableId
                          - merchantId
                          - billable
                        description: The quarterly base plan price
                      basePlanPriceAnnually:
                        type: object
                        nullable: true
                        properties:
                          billingCadence:
                            type: string
                            enum:
                              - oneTime
                              - monthly
                              - quarterly
                              - annually
                            description: The billing cadence for this price
                            example: monthly
                          billingMode:
                            type: string
                            enum:
                              - advance
                              - arrears
                              - realTime
                            description: The billing mode for this price
                            example: advance
                          blockOverage:
                            type: boolean
                            default: false
                            description: >-
                              Whether to block overage for this price; applies
                              only to real-time credit-based features
                            example: false
                          createdAt:
                            type: string
                            format: date
                            description: The date and time the price was created
                            example: '2021-01-01T00:00:00.000Z'
                          entityType:
                            type: string
                            enum:
                              - entitlement
                              - metric
                            description: The entity type for this price
                            example: entitlement
                          id:
                            type: string
                            minLength: 1
                            description: The Atlas price ID
                            example: atlas-internal-price-id-123
                          limit:
                            type: integer
                            nullable: true
                            minimum: 0
                            description: >-
                              The limit for this price; applies only to
                              limit-based features
                            example: 100
                          maxUsage:
                            type: integer
                            nullable: true
                            minimum: 0
                            description: >-
                              The maximum usage for this price; applies only to
                              usage-based features
                            example: 1000
                          name:
                            type: string
                            minLength: 1
                            description: >-
                              The name of the price. Inherited from the feature
                              that this price is for.
                            example: Pro Price
                          priceType:
                            type: string
                            enum:
                              - bulk
                              - matrix
                              - none
                              - package
                              - tier
                              - unit
                              - fixed
                            description: The price type for this price
                            example: unit
                          rules:
                            type: object
                            properties: {}
                            additionalProperties:
                              nullable: true
                            description: The pricing rules for this price
                            example:
                              quantity: 1
                              price: 10
                          status:
                            type: string
                            enum:
                              - active
                              - deleted
                            description: The status of the price
                            example: active
                          usesCustomPricingUnit:
                            type: boolean
                            default: false
                            description: Whether this price uses a custom pricing unit
                            example: false
                          billableId:
                            type: string
                            minLength: 1
                            description: The Atlas billable ID
                            example: atlas-internal-billable-id-123
                          customPricingUnitId:
                            type: string
                            nullable: true
                            minLength: 1
                            description: The Atlas custom pricing unit ID
                            example: atlas-internal-custom-pricing-unit-id-123
                          merchantId:
                            type: string
                            minLength: 1
                            description: The Atlas merchant ID
                            example: atlas-internal-merchant-id-123
                          billable:
                            type: object
                            properties:
                              billableType:
                                type: string
                                enum:
                                  - entitlement
                                  - metric
                                deprecated: true
                              createdAt:
                                type: string
                                description: The billable creation date
                                example: '2022-01-01T00:00:00.000Z'
                              updatedAt:
                                type: string
                                description: The billable update date
                                example: '2022-01-01T00:00:00.000Z'
                              description:
                                type: string
                                description: The billable description
                                example: Access our beautiful API
                              eventQueryRules:
                                type: object
                                additionalProperties:
                                  nullable: true
                                description: The event query rules
                                example:
                                  conditions:
                                    - - key: eventName
                                        rule: matches
                                        value: api-usage
                                  calculation: sum
                                  overProperty: data.quantity
                              externalFlagId:
                                type: string
                                deprecated: true
                              id:
                                type: string
                                description: The billable ID
                                example: '123'
                              includedLabel:
                                type: string
                                description: >-
                                  On pricing components, this label will be
                                  shown to display that this billable is
                                  included
                                example: Included
                              singleUnitLabel:
                                type: string
                                description: >-
                                  On pricing components, this label will be
                                  shown for a single unit
                                example: API call
                              multipleUnitLabel:
                                type: string
                                description: >-
                                  On pricing components, this label will be
                                  shown for multiple units
                                example: API calls
                              name:
                                type: string
                                description: The billable name
                                example: API Access
                              isPrivate:
                                type: boolean
                                default: false
                                description: >-
                                  Whether the billable is private. It will never
                                  be shown on the pricing model or pricing pages
                                example: false
                              showOnInvoice:
                                type: boolean
                                default: true
                                description: >-
                                  Whether the billable should be shown on the
                                  invoice
                                example: true
                              slug:
                                type: string
                                description: Used to identify this billable in your systems
                                example: api-access
                              status:
                                type: string
                                enum:
                                  - available
                                  - draft
                                  - archived
                                  - deleted
                                description: The billable status
                                example: available
                              hidden:
                                type: boolean
                                default: false
                                description: Whether the billable is hidden
                                example: false
                              displayOrder:
                                type: integer
                                nullable: true
                                description: The display order for sorting billables
                                example: 0
                            required:
                              - createdAt
                              - updatedAt
                              - description
                              - eventQueryRules
                              - id
                              - name
                              - status
                            additionalProperties: false
                        required:
                          - billingCadence
                          - billingMode
                          - blockOverage
                          - createdAt
                          - entityType
                          - id
                          - name
                          - priceType
                          - rules
                          - status
                          - usesCustomPricingUnit
                          - billableId
                          - merchantId
                          - billable
                        description: The annual base plan price
                    required:
                      - createdAt
                      - crossEnvironmentId
                      - currency
                      - description
                      - id
                      - isPrivate
                      - name
                      - netTerms
                      - purchasable
                      - requestPricingText
                      - requestPricingUrl
                      - status
                      - updatedAt
                      - merchantId
                      - prices
                required:
                  - createdAt
                  - id
                  - startDate
                  - status
                  - updatedAt
                  - allowCustomerChanges
                  - autoChargeInvoice
                  - autoSyncInvoice
                  - autoSendInvoice
                  - paymentGateway
                  - isTrial
                  - customerId
                  - planId
                  - merchantId
                  - plan
        '401':
          description: Invalid API key provided.
        '404':
          description: Subscription not found.
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        You can obtain this key from the Atlas dashboard. It must be of type
        `secret`

````